Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Explicitly require IPAddr #719

Merged
merged 1 commit into from Jun 17, 2020
Merged

Explicitly require IPAddr #719

merged 1 commit into from Jun 17, 2020

Conversation

marcotc
Copy link
Contributor

@marcotc marcotc commented Jun 16, 2020

In 0.74.0, #718 was shipped, which introduced a dependency on IPAddr.

This dependency has been transitively loaded by openssl since 2.2.0, released May 13, 2020, which excon always loads. This means that Ruby installations using a version of openssl from before May 13, 2020 can be missing loading ipaddr.

This PR adds that explicitly dependency to the relevant file: lib/excon/connection.rb.

One thing I'm still not sure is why travis-ci is not failing for Ruby 2.3, given I can reliably reproduce it as follows:

Steps to reproduce

$ docker run -it ruby:2.3.8 bash

Then inside the container:

$ git clone https://github.com/excon/excon.git
$ cd excon/
$ bundle install
$ bundle exec shindont

I'm seeing the following error:

  Excon proxy support +++++++++
            tests/proxy_tests.rb
            uninitialized constant Excon::Connection::IPAddr (NameError)
              /excon/lib/excon/connection.rb:516:in `rescue in block in proxy_from_env'

geemus
geemus approved these changes Jun 17, 2020
Copy link
Contributor

@geemus geemus left a comment

LGTM

@geemus geemus merged commit 5607159 into excon:master Jun 17, 2020
1 check passed
@geemus
Copy link
Contributor

geemus commented Jun 17, 2020

Thanks for the heads up and fix.

@geemus
Copy link
Contributor

geemus commented Jun 17, 2020

Released in 0.75.0

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants